/*************************************************************************
** Mode_SampleVoxelsFromShadowMap.h                                     **
** --------------------------------                                     **
**                                                                      **
** Once we have a shadow map (e.g., from Mode_ParaboloidShadowMaps) we  **
**     can resample it to find which voxels in epipolar space the       **
**     lit surfaces occupy.  This render mode does the resampling, then **
**     displays the resulting voxelization.                             **
**                                                                      **
** Chris Wyman (04/06/2012)                                             **
*************************************************************************/

#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class SampleVoxelsShadowMaps : public iglu::IGLUDisplayMode {
public:
	SampleVoxelsShadowMaps() : IGLUDisplayMode() {}
	virtual ~SampleVoxelsShadowMaps() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "Sample voxels from shadow map"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "Once we have a parabolic shadow map, we sample it into "
			   "our epipolar voxel space.  This display mode renders this "
			   "intermediate step for improved visualization of the algorithm."; 
	}

private:

};